<!DOCTYPE html>
<html lang="en">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 42.10- Pizza 365 V1.9</title>

    <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    
</head>

<body>
    <!-- navbar -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12">
                <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                        aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav nav-fill w-100">
                            <li class="nav-item active">
                                <a class="nav-link" href="#">Trang chủ<span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item active">
                                <a class="nav-link" href="#combo">Combo<span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item active">
                                <a class="nav-link" href="#loai-pizza">Loại Pizza<span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item active"> <!-- đổi thành dạng click để dễ xử lý-->
                                <a class="nav-link" href="#send-order">Gửi đơn hàng<span class="sr-only">(current)</span></a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </div>
    </div>
    <!-- Content và Carousel -->
    <div class="container" style="padding: 120px 0 50px 0;">
        <div class="row">
            <!-- Content -->
            <div class="col-sm-12">
                <div class="row">

                    <div class="col-sm-12">
                        <h1><b style="color: orange;">Pizza 365 <p style="font-style: italic;">Truly italian !</p></b>
                        </h1>
                    </div>
                    <!-- slide -->
                    <div class="col-sm-12">
                        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                            </ol>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/1.jpg"
                                        alt="First slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/2.jpg"
                                        alt="Second slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/3.jpg"
                                        alt="Third slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100" src="Mockup_Images_Pizza365.v1.9/4.jpg"
                                        alt="Third slide">
                                </div>
                            </div>
                            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button"
                                data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button"
                                data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a>
                        </div>
                    </div>
                    <!-- Title tại sao lại pizza -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                        <h2><b class="p-2 border-bottom" style="color: orange;">Tại sao lại Pizza 365</b></h2>
                    </div>

                    <!-- content hightlight -->
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-sm-3 p-4 border" style="background-color: lightgoldenrodyellow;">
                                <h2 class="p-3">Đa dạng</h2>
                                <p class="p-1">Số lượng pizza đa dạng, có đầy đủ các loại pizza đang hot nhất hiện nay.
                                </p>
                            </div>
                            <div class="col-sm-3 p-4 border" style="background-color: yellow;">
                                <h2 class="p-3">Chất lượng</h2>
                                <p class="p-1">Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an
                                    toàn thực phẩm.</p>
                            </div>
                            <div class="col-sm-3 p-4 border" style="background-color: lightsalmon;">
                                <h2 class="p-3">Hương vị</h2>
                                <p class="p-1">Dảm bảo hương vị ngon, độc, lạ mà bạn chỉ có thể trải nghiệm từ pizza
                                    365.</p>
                            </div>
                            <div class="col-sm-3 p-4 border" style="background-color: orange;">
                                <h2 class="p-3">Dịch vụ</h2>
                                <p class="p-1">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh, chất
                                    lượng tân tiến.</p>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- Chọn size pizza -->
                <div id="combo" class="row">
                    <!-- title -->
                    <div class="col-sm-12 text-center p-4 mt-4" style="color: orange;">
                        <h2><b class="p-1 border-bottom">Chọn size pizza</b></h2>
                        <p><span class="p-2">Chọn combo pizza phù hợp với nhu cầu của bạn</span></p>
                    </div>
                    <!-- Card combo -->
                    <div class="col-sm-12">
                        <div class="row">

                            <div class="col-sm-4">
                                <div class="card">
                                    <div class="card-header bg-warning text-center">
                                      <h3>S(small)</h3>
                                    </div>
                                    <div class="card-body text-center">
                                      <ul class="list-group list-group-flush">
                                        <li class="list-group-item"><b>Đường kính:</b> 20cm</li>
                                        <li class="list-group-item"><b>Sườn nướng:</b> 2</li>
                                        <li class="list-group-item"><b>Salad</b> 200g</li>
                                        <li class="list-group-item"><b>Nước ngọt:</b> 2</li>
                                        <li class="list-group-item">
                                          <h1><b>150.000</b></h1> VND
                                        </li>
                                      </ul>
                                    </div>
                                    <div class="card-footer text-center">
                                      <button id="btn-small" class="btn btn-warning w-100" data-is-selected-menu = "N">Chọn</button>
                                    </div>
                                  </div>
                            </div>

                            <div class="col-sm-4">
                                <div class="card">
                                  <div class="card-header bg-warning text-center">
                                    <h3>M(medium)</h3>
                                  </div>
                                  <div class="card-body text-center">
                                    <ul class="list-group list-group-flush">
                                      <li class="list-group-item"><b>Đường kính:</b> 25cm</li>
                                      <li class="list-group-item"><b>Sườn nướng:</b> 4</li>
                                      <li class="list-group-item"><b>Salad:</b> 300g</li>
                                      <li class="list-group-item"><b>Nước ngọt:</b> 3</li>
                                      <li class="list-group-item">
                                        <h1><b>200.000</b></h1> VND
                                      </li>
                                    </ul>
                                  </div>
                                  <div class="card-footer text-center">
                                    <button id="btn-medium" class="btn btn-warning w-100" data-is-selected-menu = "N">Chọn</button>
                                  </div>
                                </div>
                              </div>

                              <div class="col-sm-4">
                                <div class="card">
                                  <div class="card-header bg-warning text-center">
                                    <h3>L(large)</h3>
                                  </div>
                                  <div class="card-body text-center">
                                    <ul class="list-group list-group-flush">
                                      <li class="list-group-item"><b>Đường kính:</b> 30cm</li>
                                      <li class="list-group-item"><b>Sườn nướng:</b> 8</li>
                                      <li class="list-group-item"><b>Salad:</b> 500g</li>
                                      <li class="list-group-item"><b>Nước ngọt:</b> 4</li>
                                      <li class="list-group-item">
                                        <h1><b>250.000</b></h1>VND
                                      </li>
                                    </ul>
                                  </div>
                                  <div class="card-footer text-center">
                                    <button id="btn-large" class="btn btn-warning w-100" data-is-selected-menu = "N">Chọn</button>
                                  </div>
                                </div>
                              </div>
                        </div>
                    </div>
                </div>
                <!-- Chọn loại pizza -->
                <div id="loai-pizza" class="row">
                    <div class="col-sm-12 text-center p-4 mt-4" style="color: orange;">
                        <h2><b class="p-1 border-bottom">Chọn loại pizza</b></h2>
                    </div>

                    <div class="col-sm-12">
                        <div class="row">

                            <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem;">
                                  <img src="Mockup_Images_Pizza365.v1.9/seafood.jpg" class="card-img-top">
                                  <div class="card-body">
                                    <h3>OCEAN MANIA</h3>
                                    <p>PIZZA HẢI SẢN XỐT MAYONAISE</p>
                                    <p>Xốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua, Hành Tây.           
                                    </p>
                                    <p><button id="btn-seafood" class="btn btn-warning w-100"  data-is-selected-pizza = "N">Chọn</button></p>
                                  </div>
                                </div>
                              </div>

                              <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem;">
                                  <img src="Mockup_Images_Pizza365.v1.9/hawaiian.jpg" class="card-img-top">
                                  <div class="card-body">
                                    <h3>HAWAIIAN</h3>
                                    <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                                    <p>Xốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.           
                                    </p>
                                    <p><button id="btn-hawai" class="btn btn-warning w-100"  data-is-selected-pizza = "N">Chọn</button></p>
                                  </div>
                                </div>
                              </div>

                              <div class="col-sm-4">
                                <div class="card w-100" style="width: 18rem;">
                                  <img src="Mockup_Images_Pizza365.v1.9/bacon.jpg" class="card-img-top">
                                  <div class="card-body">
                                    <h3>CHEESY CHICKENBACON</h3>
                                    <p>PIZZA GÀ PHÔ MAI THỊT HEO XONG KHÓI</p>
                                    <p>Xốt Cà Chua,Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua.           
                                    </p>
                                    <p><button id="btn-bacon" class="btn btn-warning w-100"  data-is-selected-pizza = "N">Chọn</button></p>
                                  </div>
                                </div>
                              </div>

                        </div>
                    </div>
                </div>

                <!-- Chọn đồ uống -->
                <div class="row">
                    <!-- Title Who We Are -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                      <h2><b class="p-2 border-bottom">Đồ uống</b></h2>
                    </div>
                    <div class="col-sm-12 p-2 jumbotron">
                      <select id="select-do-uong" class="form-control">
                        <option value="0">Tất cả loại nước uống</option>
                      </select>
                    </div>
                  </div>
                
                <!-- Thông tin đơn hàng -->
                <div id="send-order" class="row">
                    <!-- Title Contact Us -->
                    <div class="col-sm-12 text-center p-4 mt-4">
                      <h2><b class="p-2 border-bottom" style="color: orange;">Gửi đơn hàng</b></h2>
                    </div>
          
                    <!-- Content Contact Us -->
                    <div class="col-sm-12">
                      <div class="row">
                        <div class="col-sm-12">
                          <div class="form-group">
                            <label for="fullname">Họ và tên</label>
                            <input type="text" class="form-control" id="inp-fullname" placeholder="Nhập tên">
                          </div>
                          <div class="form-group">
                            <label for="email">Email</label>
                            <input type="text" class="form-control" id="inp-email" placeholder="Nhập Email">
                          </div>
                          <div class="form-group">
                            <label for="dien-thoai">Điện thoại</label>
                            <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Nhập số điện thoại">
                          </div>
                          <div class="form-group">
                            <label for="dia-chi">Địa chỉ</label>
                            <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                          </div>
                          <div class="form-group">
                            <label for="message">Mã giảm giá</label>
                            <input type="text" class="form-control" id="inp-voucher" placeholder="Nhập mã giảm giá">
                          </div>
                          <div class="form-group">
                            <label for="message">Lời nhắn</label>
                            <input type="text" class="form-control" id="inp-message" placeholder="Nhập lời nhắn">
                          </div>
                          <button type="button" class="btn btn-warning w-100" id="btn-send">Gửi</button>
                        </div>
                      </div>
                    </div>
                  </div>

            </div>
        </div>
    </div>

    <!-- Footer -->
    <div class="container-fluid bg-warning p-5">
        <div class="row text-center">
          <div class="col-sm-12">
            <h4 class="m-2">Footer</h4>
            <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
            <div class="m-2">
              <i class="fa fa-facebook-official w3-hover-opacity"></i>
              <i class="fa fa-instagram w3-hover-opacity"></i>
              <i class="fa fa-snapchat w3-hover-opacity"></i>
              <i class="fa fa-pinterest-p w3-hover-opacity"></i>
              <i class="fa fa-twitter w3-hover-opacity"></i>
              <i class="fa fa-linkedin w3-hover-opacity"></i>
            </div>
            <p class="p-1">Powered by DEVCAMP</p>
          </div>
        </div>
      </div>
    <!-- modal thong tin -->
    <div>
      <div id="order-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">Thông tin đơn hàng</h5>
              <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <form>

                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-full-name">Họ và tên</label>
                  </div>
                  <div class="col-sm-9">
                      <input type="text" id="input-full-name" name="hoVaTen" placeholder="Họ và tên" disabled
                        class="form-control">
                    </div>
                </div>

                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-phone">Số điện thoại</label>
                  </div>
                  <div class="col-sm-9">
                      <input type="text" id="input-phone" name="phone" placeholder="Số điện thoại" disabled
                        class="form-control">
                    </div>
                </div>

                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-address">Địa chỉ</label>
                  </div>
                  <div class="col-sm-9">
                      <input type="text" id="input-address" name="address" disabled
                        class="form-control">
                    </div>
                </div>

                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-message">Lời nhắn</label>
                  </div>
                  <div class="col-sm-9">
                      <input type="text" id="input-message" name="message" disabled
                        class="form-control">
                    </div>
                </div>

                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-idvoucher">ID Voucher</label>
                  </div>
                  <div class="col-sm-9">
                    <input type="text" id="input-idvoucher" name="idvoucher" disabled
                      class="form-control">
                  </div>
                </div>

                <div class="row form-group">
                  <div class="col-sm-12">
                    <label for="input-chi-tiet">Thông tin chi tiết</label>
                  </div>
                  <div class="col-sm-12">
                      <textarea name="" id="input-chi-tiet" cols="30" rows="10" class="form-control" disabled></textarea>
                  </div>
                </div>

              </form>
            </div>
            <div class="modal-footer">
              <button id="btn-create" class="btn btn-success">Tạo đơn</button>
              <button type="button" class="btn btn-secondary" id="btn-modal-close" data-dismiss="modal">Quay lại</button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- modal cảm ơn -->
    <div>
      <div id="thanks-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="h5-modal-title">Cảm ơn bạn đã đặt hàng tại Pizza365. Mã đơn hàng của bạn là: </h5>
              <button class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
              <form>

                <div class="row form-group">
                  <div class="col-sm-3">
                    <label for="input-orrdercode">Mã đơn hàng</label>
                  </div>
                  <div class="col-sm-9">
                      <input type="text" id="input-orrdercode" name="ordercode" disabled
                        class="form-control">
                    </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
</body>
<script>
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
  const gCOMBO_SMALL = "S";
  const gCOMBO_MEDIUM = "M";
  const gCOMBO_LARGE = "L";
  const gNAME_HAWAI = "Hawai";
  const gNAME_SEAFOOD = "Seafood";
  const gNAME_BACON = "Bacon";
  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
  $(document).ready(function(){
    $("#btn-small").on("click", function(){
      onClickBtnSmall()
    })
    $("#btn-medium").on("click", function(){
      onClickBtnMedium()
    })
    $("#btn-large").on("click", function(){
      onClickBtnLarge()
    })

    $("#btn-seafood").on("click", function(){
      onBtnClickSeafood();
    })
    $("#btn-hawai").on("click", function(){
      onBtnClickHawai();
    })
    $("#btn-bacon").on("click", function(){
      onBtnClickBacon();
    })

    callApiDrinkSelect();

    $("#btn-send").on("click", function(){
      onBtnClickSend();
    })
    $("#btn-create").on("click", function(){
      onBtnClickCreate();
    })
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  function onClickBtnSmall() { 
    changeBtnColorCombo(gCOMBO_SMALL);
    var vSelectSmall = getCombo (gCOMBO_SMALL, "20cm", 2, "200gram", 2, 150000);
    vSelectSmall.printConsoleLog();
  }
  function onClickBtnMedium() {
    changeBtnColorCombo(gCOMBO_MEDIUM);
    var vSelectMedium = getCombo (gCOMBO_MEDIUM, "25cm", 4, "300gram", 3, 200000);
    vSelectMedium.printConsoleLog();
  }
  function onClickBtnLarge() {
    changeBtnColorCombo(gCOMBO_LARGE);
    var vSelectLarge = getCombo (gCOMBO_LARGE, "30cm", 8, "500gram", 4, 250000);
    vSelectLarge.printConsoleLog();
  }

  function onBtnClickSeafood() {
    changeBtnColorName(gNAME_SEAFOOD);
    console.log("Đã chọn Pizza Hawai");
  }
  function onBtnClickHawai() {
    changeBtnColorName(gNAME_HAWAI);
    console.log("Đã chọn Pizza hải sản");
  }
  function onBtnClickBacon() {
    changeBtnColorName(gNAME_BACON);
    console.log("Đã chọn Pizza thịt hun khói");
  }

  function onBtnClickSend(){
    var vThongTinDonHang = {
      comboSelect: null,
      nameSelect: null,
      hoVaTen: "",
      email: "",
      dienThoai: null,
      diaChi: "",
      loiNhan: "",
      maGiamGia: "",
      phanTramGiamGia:"",
      idDoUong: -1,
      doUong: "",

    thanhToan: function () {
      let vThanhToan = (this.comboSelect.gia * (100 - (this.phanTramGiamGia))) / 100;
      return vThanhToan;
    },
    }

    thuThapDonHang(vThongTinDonHang);
    var vKiemTra = kiemTraDonPizza(vThongTinDonHang);
    
    if(vKiemTra == true) {
    if(vThongTinDonHang.maGiamGia != "") {
      $.ajax({
        url: "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/" + vThongTinDonHang.maGiamGia,
        type: "GET",
        dataType: "json",
        async: false,
        success: function(paramSuccess){
          console.log(paramSuccess);
          vThongTinDonHang.phanTramGiamGia =  paramSuccess.phanTramGiamGia;
        },
        error: function (paramError){
          console.log(paramError.responseText);
        }
      })
        //goiAPIKiemTra(vThongTinDonHang, gXMLHTTP);
        //hienThiDuLieu(vThongTinDonHang, gXMLHTTP);
    } else {
      
        vThongTinDonHang.phanTramGiamGia = 0;
    }
      console.log(vThongTinDonHang);
    $("#order-modal").modal("show");
    hienThiDonHang(vThongTinDonHang);
    }
  }

  function onBtnClickCreate() {
    var vOderObj = {
      kichCo: "",
      duongKinh: "",
      suon: "",
      salad: "",
      loaiPizza: "",
      idVourcher: "",
      idLoaiNuocUong: "",
      soLuongNuoc: "",
      hoTen: "",
      thanhTien: "",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: "",
    };
    thuThapDonHang(vOderObj);
    callApiCreate(vOderObj)
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  function getCombo(paramSize, paramDiameter, paramBBQ, paramSalad, paramDrink, paramPrice) {
  var vSelectCombo = {
    size: paramSize,
    kichThuoc: paramDiameter,
    thitNuong: paramBBQ,
    salad: paramSalad,
    nuocNgot: paramDrink,
    gia: paramPrice,
    printConsoleLog() {
      console.log("%c Combo Pizza đã chọn là:", "color:blue");
      console.log("Size: " + this.size);
      console.log("Kích thước: " + this.kichThuoc);
      console.log("Thịt nướng: " + this.thitNuong);
      console.log("Salad: " + this.salad);
      console.log("Nước ngọt: " + this.nuocNgot);
      console.log("Giá: " + this.gia);

    }
  }
  return vSelectCombo;
}
  function changeBtnColorCombo(paramColor) {
    var vBtnSmall = $("#btn-small");
    var vBtnMedium = $("#btn-medium");
    var vBtnLarge = $("#btn-large");

    if(paramColor == gCOMBO_SMALL) {
      vBtnSmall.removeClass("btn btn-warning").addClass("btn btn-success");
      vBtnSmall.attr("data-is-selected-menu", "Y"); 
      vBtnMedium.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnMedium.attr("data-is-selected-menu", "N")
      vBtnLarge.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnLarge.attr("data-is-selected-menu", "N");
    }
    if(paramColor == gCOMBO_MEDIUM) {
      vBtnSmall.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnSmall.attr("data-is-selected-menu", "N"); 
      vBtnMedium.removeClass("btn btn-warning").addClass("btn btn-success");
      vBtnMedium.attr("data-is-selected-menu", "Y")
      vBtnLarge.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnLarge.attr("data-is-selected-menu", "N");
    }
    if(paramColor == gCOMBO_LARGE) {
      vBtnSmall.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnSmall.attr("data-is-selected-menu", "N"); 
      vBtnMedium.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnMedium.attr("data-is-selected-menu", "N")
      vBtnLarge.removeClass("btn btn-warning").addClass("btn btn-success");
      vBtnLarge.attr("data-is-selected-menu", "Y");
    }
  }

  function getPizzaName(paramPizzaname) {
    var vSelectPizzaName = {
      name: paramPizzaname,
    };
    return vSelectPizzaName;
}
  function changeBtnColorName(paramColor) {
    var vBtnSeafood = $("#btn-seafood");
    var vBtnHawai = $("#btn-hawai");
    var vBtnBacon = $("#btn-bacon");

    if(paramColor == gNAME_HAWAI) {
      vBtnHawai.removeClass("btn btn-warning").addClass("btn btn-success");
      vBtnHawai.attr("data-is-selected-pizza", "Y");
      vBtnSeafood.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnSeafood.attr("data-is-selected-pizza", "N");
      vBtnBacon.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnBacon.attr("data-is-selected-pizza", "N");
    }
    if(paramColor == gNAME_SEAFOOD) {
      vBtnHawai.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnHawai.attr("data-is-selected-pizza", "N");
      vBtnSeafood.removeClass("btn btn-warning").addClass("btn btn-success");
      vBtnSeafood.attr("data-is-selected-pizza", "Y");
      vBtnBacon.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnBacon.attr("data-is-selected-pizza", "N");
    }
    if(paramColor == gNAME_BACON) {
      vBtnHawai.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnHawai.attr("data-is-selected-pizza", "N");
      vBtnSeafood.removeClass("btn btn-success").addClass("btn btn-warning");
      vBtnSeafood.attr("data-is-selected-pizza", "N");
      vBtnBacon.removeClass("btn btn-warning").addClass("btn btn-success");
      vBtnBacon.attr("data-is-selected-pizza", "Y");
    }

  }

  function callApiDrinkSelect(){
        $.ajax({
            url: "http://203.171.20.210:8080/devcamp-pizza365/drinks",
            type: "GET",
            dataType: "json",
            success: function(paramSuccess){
                loadDrinkSelect(paramSuccess);
            },
            error: function(paramError){
                console.log(paramError.responseText);
            }
        })
    }
  function loadDrinkSelect(paramDrink){
        $.each(paramDrink, function(i, item){
            $("#select-do-uong").append($("<option>", {
                text: item.tenNuocUong,
                value: item.maNuocUong
            }))
        })
    }

  function thuThapDonHang(paramDonHang){

    var vDoUong = $("#select-do-uong");

    paramDonHang.hoVaTen = $("#inp-fullname").val().trim();
    paramDonHang.email = $("#inp-email").val().trim();
    paramDonHang.dienThoai = $("#inp-dien-thoai").val().trim();
    paramDonHang.diaChi = $("#inp-dia-chi").val().trim();
    paramDonHang.loiNhan = $("#inp-message").val().trim();
    paramDonHang.maGiamGia = $("#inp-voucher").val().trim();
    paramDonHang.idDoUong = parseInt($("#select-do-uong").val().trim());
    paramDonHang.doUong = $("#select-do-uong").text().trim();

    var vBtnSmall = $("#btn-small");
    var vSmallDaChon = vBtnSmall.attr("data-is-selected-menu");
    var vBtnMedium = $("#btn-medium");
    var vMediumDaChon = vBtnMedium.attr("data-is-selected-menu");
    var vBtnLarge = $("#btn-large");
    var vLargeDaChon = vBtnLarge.attr("data-is-selected-menu");

    var vPizzaComboSelect = null;
  
    if(vSmallDaChon == "Y") {
      vPizzaComboSelect = getCombo (gCOMBO_SMALL, "20cm", 2, "200gram", 2, 150000);
      paramDonHang.comboSelect = vPizzaComboSelect;
    }
    else if(vMediumDaChon == "Y") {
      vPizzaComboSelect = getCombo (gCOMBO_MEDIUM, "25cm", 4, "300gram", 3, 200000);
      paramDonHang.comboSelect = vPizzaComboSelect;

    }
    else if(vLargeDaChon == "Y") {
      vPizzaComboSelect = getCombo (gCOMBO_LARGE, "30cm", 8, "500gram", 4, 250000);
      paramDonHang.comboSelect = vPizzaComboSelect

    }

    var vBtnHawai = $("#btn-hawai");
    var vHawaiDaChon = vBtnHawai.attr("data-is-selected-pizza");

    var vBtnSeafood = $("#btn-seafood");
    var vSeafoodDaChon = vBtnSeafood.attr("data-is-selected-pizza");

    var vBtnBacon = $("#btn-bacon");
    var vBaconDaChon = vBtnBacon.attr("data-is-selected-pizza");

    var vPizzaNameSelect = null;

    if(vHawaiDaChon == "Y") {
      vPizzaNameSelect = getPizzaName(gNAME_HAWAI);
      paramDonHang.nameSelect = vPizzaNameSelect
    }
    else if (vSeafoodDaChon == "Y") {
      vPizzaNameSelect = getPizzaName(gNAME_SEAFOOD);
      paramDonHang.nameSelect = vPizzaNameSelect
    }
    else if (vBaconDaChon == "Y") {
      vPizzaNameSelect = getPizzaName(gNAME_BACON);
      paramDonHang.nameSelect = vPizzaNameSelect
    }
  }
  function kiemTraDonPizza(paramDonPizzaObj) {
    var vBtnSmall = $("#btn-small");
    var vSmallDaChon = vBtnSmall.attr("data-is-selected-menu");
    var vBtnMedium = $("#btn-medium");
    var vMediumDaChon = vBtnMedium.attr("data-is-selected-menu");
    var vBtnLarge = $("#btn-large");
    var vLargeDaChon = vBtnLarge.attr("data-is-selected-menu");

    if(paramDonPizzaObj.comboSelect == null) {
      alert("Chưa chọn Combo");
      return false;
    }
    if (paramDonPizzaObj.nameSelect == null) {
      alert("Chưa chọn loại Pizza");
      return false;
    }
    if(paramDonPizzaObj.hoVaTen == "") {
      alert("Họ và tên không được bỏ trống!");
      return false;
    }
    if(paramDonPizzaObj.email == "") {
      alert("Email không được bỏ trống!");
      return false;
    }
    if(paramDonPizzaObj.dienThoai == "") {
      alert("Số điện thoại không được bỏ trống!");
      return false;
    }
    if(paramDonPizzaObj.diaChi == "") {
      alert("Địa chỉ giao hàng không được bỏ trống!");
      return false;
    }
    if(isNaN(paramDonPizzaObj.dienThoai)) {
      alert("Số điện thoại bắt buộc phải là số");
      return false;
    }
    /*if (validateEmail(paramDonPizzaObj.email) == false) {
      alert("Email không hợp lệ");
      return false;
    }*/
    if(paramDonPizzaObj.idDoUong == 0){
      alert("Chưa chọn đồ uống");
      return false;
    }
    return true;
  }
  function validateEmail(paramEmail) {
      var vValidRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
      if (paramEmail.match(vValidRegex)) {
      return true;
      } else {
      return false;
      }
  }
  function hienThiDonHang(paramDonHang){
    $("#input-full-name").val(paramDonHang.hoVaTen);
    $("#input-phone").val(paramDonHang.dienThoai);
    $("#input-address").val(paramDonHang.diaChi);
    $("#input-message").val(paramDonHang.loiNhan);
    $("#input-idvoucher").val(paramDonHang.maGiamGia);

    $("#input-chi-tiet").val("Xác nhận: " + paramDonHang.hoVaTen + ", " + paramDonHang.dienThoai + ", " + paramDonHang.diaChi  + "\n"
                            + "Menu: Size " + paramDonHang.comboSelect.size + ", Sườn nướng: " + paramDonHang.comboSelect.thitNuong + ", Salad: " + paramDonHang.comboSelect.salad + ", Nước: " + paramDonHang.comboSelect.nuocNgot + "\n"
                             + "Loại Pizza: " + paramDonHang.nameSelect.name + ", Giá: " + paramDonHang.comboSelect.gia + ", Mã giảm giá: " + paramDonHang.maGiamGia + "\n"
                             + "Phải thanh toán: " + paramDonHang.thanhToan() + "VND" + "( Được giảm " + paramDonHang.phanTramGiamGia + "%)");
  }

  function callApiCreate(paramDonHang){
    $.ajax({
      url: "http://203.171.20.210:8080/devcamp-pizza365/orders",
      type: "POST",
      contentType: "application/json;charset=UTF-8",
      data: JSON.stringify(paramDonHang),
      success: function(paramSuccess){
        console.log(paramSuccess);
        loadOrderCodeDonHang(paramSuccess)
      },
      error: function(paramError){
        console.log(paramError.responseText);
      }
    })
  }
  function loadOrderCodeDonHang(paramOrderCode){
    var vInputOrderCode = $("#input-orrdercode");
    vInputOrderCode.val(paramOrderCode.orderCode);
    $("#order-modal").modal("hide");
    $("#thanks-modal").modal("show");
  }
</script>
</html> 